How to Add a new version of TensorRT into jetson pack?

I am using an orin platform to implement an automatic driving system. However, the perception module and prediciton module using the different version TensorRT. So how can I install two version TensorRT in orin? Where I can use the LD_path to control the module to use different TensorRT.

Hi,

You can use docker to separate the environment.

But which TensorRT version do you need for Orin.
The latest version is 8.5 for Jetson users.

Thanks.

Could I install them in the same docker? Or must I need to install the whole jetson pack? And is there any installtion guide? Thanks a lot.

The version I use is 8.5. But now the system is 8.4.

Hi,

It’s recommended to use different container to separate the environment.
Thanks.

Hello! I found that there is no library of trt so or cuda so in the l4t-base. Is there a new docker image contains the libs?

Hi,

We have l4t-tensorrt container that has TensorRT and CUDA libraries:

Thanks.

1 Like

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.